#ifndef COSY_MTimeout
#define COSY_MTimeout

//#include <TTimer.h>

class MTimeout// : public TTimer
{
    /*
    Bool_t Notify()
    {
        TurnOff(); // remove from system list
        return kFALSE;
    }
     */
    unsigned long fTimeout;

public:
    MTimeout(unsigned long ms=500);

    bool HasTimedOut();

    void Start(unsigned long ms=500);
};


#endif
